## gate.corpora
Class SerialCorpusImpl.DocumentData

    java.lang.Object
      |
      +--gate.corpora.SerialCorpusImpl.DocumentData

All Implemented Interfaces:
  Serializable

Enclosing class:
  SerialCorpusImpl

protected class SerialCorpusImpl.DocumentData
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`(package private) String` `docName`
`(package private) Object` `persistentID`
`(package private) static long` `serialVersionUID`

Constructor Summary
`(package private)` `SerialCorpusImpl.DocumentData(String name, Object ID)`

Method Summary
`String` `getDocumentName()`
`Object` `getPersistentID()`
`void` `setPersistentID(Object newID)`
`String` `toString()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

### docName

    String docName

### persistentID

    Object persistentID

Constructor Detail

### SerialCorpusImpl.DocumentData

    SerialCorpusImpl.DocumentData(String name,
                                  Object ID)

Method Detail

### getDocumentName

    public String getDocumentName()

### getPersistentID

    public Object getPersistentID()

### setPersistentID

    public void setPersistentID(Object newID)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`